# Interface SharedLibraryBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, LibraryBinarySpec, ModelElement, Named, NativeBinarySpec, NativeLibraryBinarySpec`

@Incubating @Deprecated public interface SharedLibraryBinarySpec extends NativeLibraryBinarySpec
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
A shared library binary built by Gradle for a native library.

Since:
  2.2

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static interface`
  `SharedLibraryBinarySpec.TasksCollection`
  Deprecated.
  Provides access to key tasks used for building the binary.

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `File`
  `getSharedLibraryFile()`
  Deprecated.
  The shared library file.
  `File`
  `getSharedLibraryLinkFile()`
  Deprecated.
  The shared library link file.
  `SharedLibraryBinarySpec.TasksCollection`
  `getTasks()`
  Deprecated.
  The set of tasks associated with this binary.
  `void`
  `setSharedLibraryFile(File sharedLibraryFile)`
  Deprecated.
  The shared library file.
  `void`
  `setSharedLibraryLinkFile(File sharedLibraryLinkFile)`
  Deprecated.
  The shared library link file.

  ### Methods inherited from interface Binary

  `getDisplayName`

  ### Methods inherited from interface BinarySpec

  `getInputs, getSources, isBuildable`

  ### Methods inherited from interface Buildable

  `getBuildDependencies`

  ### Methods inherited from interface BuildableComponentSpec

  `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

  ### Methods inherited from interface CheckableComponentSpec

  `checkedBy, getCheckTask, setCheckTask`

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName, getName`

  ### Methods inherited from interface NativeBinarySpec

  `getAssembler, getBuildType, getcCompiler, getCppCompiler, getFlavor, getLibs, getLinker, getObjcCompiler, getObjcppCompiler, getRcCompiler, getStaticLibArchiver, getTargetPlatform, getToolChain, lib`

  ### Methods inherited from interface NativeLibraryBinarySpec

  `getComponent, getLibrary`

- ## Method Details

  - ### getSharedLibraryFile

    File getSharedLibraryFile()
    Deprecated.
    The shared library file.
    Since:
      2.2

  - ### getSharedLibraryLinkFile

    File getSharedLibraryLinkFile()
    Deprecated.
    The shared library link file.
    Since:
      2.2

  - ### setSharedLibraryFile

    void setSharedLibraryFile(File sharedLibraryFile)
    Deprecated.
    The shared library file.
    Since:
      2.2

  - ### setSharedLibraryLinkFile

    void setSharedLibraryLinkFile(File sharedLibraryLinkFile)
    Deprecated.
    The shared library link file.
    Since:
      2.2

  - ### getTasks

    SharedLibraryBinarySpec.TasksCollection getTasks()
    Deprecated.
    The set of tasks associated with this binary.
    Specified by:
      `getTasks` in interface `BinarySpec`